Library Version 18.1.40

DB->get_partition_dirs()
Prev | Chapter 2. The DB Handle | Next

## DB->get_partition_dirs()

    #include <db.h>

    int
    DB->get_partition_dirs(DB *db, const char ***dirsp);

Identify the directories used to store the database partitions.

The `DB->get_partition_dirs()` method may be called at any time.

The `DB->get_partition_dirs()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### dirsp

The dirsp will be set to the array of directories specified in the call to DB->set_partition_dirs() method on this handle or to the directoreies that the database partitions were found in after DB->open() has been called.

### Errors

The `DB->get_partition_dirs()` method may fail and return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DB

### See Also

Database and Related Methods

Prev | Up | Next
DB->get_partition_callback() | Home | DB->get_partition_keys()